<?php
$kosh = "Ваш кошелёк";
//Header
include ("data/header.dat");
//Inc
if($cat == "" and !$r_wm and !$r_email and !$l_wmz) {$cat2 = "index";}
if($cat ==  "rules" || $cat ==  "faq" ||$cat ==  "earn" ||$cat ==  "register" || $cat ==  "banners") {$cat2 = $cat;}
//Inc2
if(!$r_wm and !$r_email and !$l_wmz){
if($cat2 == "index") {include("data/desc.dat");}
if($cat2 == "rules") {include("data/rules.dat");}
if($cat2 == "faq") {include("data/faq.dat");}
if($cat2 == "earn") {include("data/earn.dat");}
if($cat2 == "register") {include("data/register.dat");}
if($cat2 == "banners") {include("data/banners.dat");}
}
//Reg
$nextf = "data/next.dat";
$r_wm = strtoupper($r_wm);
if(!$r_wm || !$r_email || $r_wm == "Z" || strlen($r_wm) < 13 || strlen($r_wm) > 13 || substr($r_wm,0,1) !== "Z"  and !$cat2 and !$l_wmz) {echo "Пожалуйста, проверьте, чтобы все поля были заполнены и количество цифр кошелька (без буквы Z) равнялось 12.";}
else {
if($r_wm and $r_email) {
if($fp = @fopen("users/". $r_wm, "r")) {$res = true;}
if ($res == true) {echo "<center><font size=4 color = red>Вы уже зарегистрированы!</font></center>";}
else {
$r_wm = str_replace("<", "&lt", $r_wm);
$r_wm = str_replace(">", "&gt", $r_wm);
$r_email = str_replace("<", "&lt", $r_email);
$r_email = str_replace(">", "&gt", $r_email);
if(getenv("HTTP_CLIENT_IP")) {
$ip = getenv("HTTP_CLIENT_IP");
} elseif(getenv("HTTP_X_FORWARDED_FOR")) {
$ip = getenv("HTTP_X_FORWARDED_FOR");
} else {
$ip = getenv("REMOTE_ADDR");}
$fp2 = fopen("users/". $r_wm, "w");
//Ip >> Мыло >> Реф >> Номер п/п >> Счёт >> Кол-во раз оплаты >> Magic button >> Счёт 2
fwrite($fp2, $ip. ">>". $r_email. ">>0>>0>>0>>0>>0>>forpay");
//fwrite($fp2, $ip. ">>". $r_email);
$fp2 = fclose($fp2);
chmod("users/". $r_wm, 0777);
echo '<center>
Теперь вы должны заплатить вступительный взнос<br>
<form id=pay name=pay method="POST" action="https://merchant.webmoney.ru/lmi/payment.asp">
<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="3.0">
<input type="hidden" name="LMI_PAYMENT_DESC" value="Вступление в MLM">
<input type="hidden" name="LMI_PAYMENT_NO" value="'. $id .'">
<input type="hidden" name="LMI_PAYEE_PURSE" value="'. $kosh .'">
<input type="hidden" name="LMI_SIM_MODE" value="0">
<input type="hidden" name="WMZ" value="'. $r_wm .'">
<INPUT ID=button TYPE=submit VALUE=Заплатить>
</form><center>';

}
}
}
//Auth
if($l_wmz) {
$l_wmz = strtoupper($l_wmz);
$ufile = "users/". $l_wmz;
if($fp = @fopen($ufile, "r")) {$res = true;}
if ($res == true) {$fp = fopen($ufile, "r");
$udat = fgets($fp, 100);
$fp = fclose($fp);
list($ip,$email,$id,$cash,$times,$magicb,$cash2,$paid)=split(">>", $udat);
if(getenv("HTTP_CLIENT_IP")) {
$ip = getenv("HTTP_CLIENT_IP");
} elseif(getenv("HTTP_X_FORWARDED_FOR")) {
$ip = getenv("HTTP_X_FORWARDED_FOR");
} else {
$ip = getenv("REMOTE_ADDR");}
$paid2 = substr($paid,0,4);
if($paid2 == "paid"){
echo "<CENTER><TABLE BGCOLOR=#2c2c2c CELLPADDING=7 CELLSPACING=1 BORDER=0><TR CLASS=a2><TD>Ваш кошелёк</TD>". "<TD CLASS=a>". $l_wmz. "</TD></TR>";
echo "<TR CLASS=a2><TD>Ваш статус в системе". "<TD>". $times. "</TD></TR>";
echo "<TR CLASS=a2><TD>Ваш IP-адрес". "<TD>". $ip. "</TD></TR>";
echo "<TR CLASS=a2><TD>Зарезервировано на покупку следующего статуса". "<TD>". $cash2. "&nbspWM". "</TD></TR>";
echo "<TR CLASS=a2><TD>Сумма для снятия". "<TD>". $cash. "&nbspWM". "</TD></TR></TABLE>";}
else {
$fp = fopen($nextf, "r");
$id = fread($fp, filesize($nextf) + 1);
$fp = fclose($fp);
echo "<center>Вы должны заплатить вступительный взнос!";
echo '
<form id=pay name=pay method="POST" action="https://merchant.webmoney.ru/lmi/payment.asp">
<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="3.0">
<input type="hidden" name="LMI_PAYMENT_DESC" value="Вступление в MLM">
<input type="hidden" name="LMI_PAYMENT_NO" value="'. $id .'">
<input type="hidden" name="LMI_PAYEE_PURSE" value="'. $kosh .'">
<input type="hidden" name="LMI_SIM_MODE" value="0">
<input type="hidden" name="WMZ" value="'. $l_wmz .'">
<INPUT ID=button TYPE=submit VALUE=Заплатить>
</form></center>';}
if($magicb == 1 and $cash > 0){echo '<center>
<BR>Для перевода денег на кошелёк введите ваш E-mail, указанный при регистрации и нажмите "Получить деньги и купить следующий статус".<BR>
При этом автоматически будет куплен следующий статус.
<form action=cash.phtml method=post>
E-mail&nbsp&nbsp&nbsp<INPUT id=inp name=umail><br>
<INPUT type=hidden  name=get_cash value='. $cash .'><br>
<INPUT type=hidden  name=wmz value='. $l_wmz .'><br>
<INPUT ID=button2 TYPE=submit VALUE="Получить деньги и купить следующий статус">
</form></center>';
}
}
else {echo "<center><font size=4 color =red>Вы не зарегистрированы!<font></center>";}
}
//Foot
include ("data/foot.dat");
?>